<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreatePaymentsTable extends Migration {

	public function up()
	{
		Schema::create('payments', function(Blueprint $table) {
			$table->increments('id');
			$table->timestamps();
			$table->softDeletes();
			$table->datetime('pay_date')->index();
			$table->integer('media_id')->unsigned()->nullable();
			$table->enum('status', array('NONE', 'VOID', 'DONE', 'PENDING', 'ERROR', 'REJECTED'))->index();
			$table->decimal('amount');
		});
	}

	public function down()
	{
		Schema::drop('payments');
	}
}